Page MenuHomePhabricator

[Task] improve text of UI error messages
Closed, ResolvedPublic

Description

The text of error messages in the UI is too technical. We need to improve them.

More patches for review:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2016, 1:51 PM

Change 303160 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Much shorter generic error messages

https://gerrit.wikimedia.org/r/303160

thiemowmde added projects: good first bug, I18n.
thiemowmde moved this task from incoming to in progress on the Wikidata board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 5 2016, 1:47 PM
Jonas closed this task as Resolved.Aug 5 2016, 5:58 PM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-08-02 board.

Change 303160 merged by jenkins-bot:
Much shorter generic error messages

https://gerrit.wikimedia.org/r/303160

thiemowmde reopened this task as Open.EditedOct 19 2016, 8:55 AM
thiemowmde moved this task from in progress to consider for next sprint on the Wikidata board.

To do:

  • In some cases the first (localized) message is now so good that the second (technical, always English) message can be collapsed again, or even be removed completely.
  • In T54843#2453317 (and before) we discussed the difference of the three code paths: it was said that one is targeting the user and already localized (is this true?), while the other two are technical (more like stuff the user could report on Phabricator). We could render these two types of error messages different, e.g. gray and in a monospaced font when we know it's a technical, untranslated message.
Restricted Application added a project: Design. · View Herald TranscriptOct 19 2016, 8:55 AM
Jonas updated the task description. (Show Details)Oct 19 2016, 1:28 PM
Jonas updated the task description. (Show Details)Oct 31 2016, 8:51 AM

Change 318888 had a related patch set uploaded (by Jonas Kress (WMDE)):
Release 2.1.2

https://gerrit.wikimedia.org/r/318888

Jonas updated the task description. (Show Details)Nov 2 2016, 1:44 PM
Charlie_WMDE moved this task from Incoming to Incoming WD on the WMDE-Design board.Nov 7 2016, 2:11 PM

Change 318888 merged by jenkins-bot:
Release 2.2.0

https://gerrit.wikimedia.org/r/318888

Jonas closed this task as Resolved.Nov 8 2016, 9:52 AM
Jonas updated the task description. (Show Details)
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-10-12 board.
Charlie_WMDE moved this task from Incoming WD to Done on the WMDE-Design board.Nov 8 2016, 4:02 PM